Skip to main content
GET
/
v1
/
connectors
List Connectors
curl --request GET \
  --url https://api.example.com/v1/connectors \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "logo": "<string>",
      "status": "<string>",
      "version": "<string>",
      "open_api_spec_id": "<string>",
      "organization_id": "<string>",
      "total_operations": 123,
      "readiness_score": 123,
      "using_built_in_auth": false,
      "connection_hint": "<string>",
      "server_url": {},
      "connections": []
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123,
  "total_pages": 123
}
Retrieve a paginated list of available connectors for your organization. Each connector represents an integration (e.g., Slack, GitHub, Jira) and includes its active connections.

Query Parameters

page
integer
default:1
Page number (starting from 1)
per_page
integer
default:20
Items per page (maximum 50)

Response

items
array
Array of connector objects
total
integer
Total number of connectors
page
integer
Current page number
per_page
integer
Items per page
total_pages
integer
Total pages available

Example Request

curl -X GET -H "x-api-key: <your-api-key>" \
  "https://api.xpander.ai/v1/connectors?page=1&per_page=10"

Notes

  • Personal connections are filtered based on the API key owner
  • Each connector may have zero or more active connections
  • Use the connection id with other connector endpoints to interact with specific connections

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

page
integer
default:1

Page number (starting from 1)

Required range: x >= 1
per_page
integer
default:20

Items per page (max 50)

Required range: 1 <= x <= 50

Response

Successful Response

items
ConnectorItem · object[]
required
total
integer
required
page
integer
required
per_page
integer
required
total_pages
integer
required